Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.sql
Class CatalogSqlManagerFactory

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.sql.CatalogSqlManagerFactory

Deprecated See BEA Commerce product offering

    @Deprecated
    public class CatalogSqlManagerFactory

extends Object

Factory for CatalogSqlManager instances. Implements a "Singleton" design pattern for CatalogSqlManagers, where a single instance of a plugin exists for each plugin class.
This is an advanced (internal) class and may be subject to change.

Constructor Summary
`CatalogSqlManagerFactory()` Deprecated See BEA Commerce product offering

Method Summary
`CatalogSqlManager` | `createManager(String managerClassName, String schemaName)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalogSqlManagerFactory

    public CatalogSqlManagerFactory()

  Deprecated See BEA Commerce product offering

Method Detail

### createManager

    public CatalogSqlManager createManager(String managerClassName,
                                           String schemaName)
                                    throws ClassNotFoundException,
                                           InstantiationException,
                                           IllegalAccessException

  Deprecated See BEA Commerce product offering

  Returns a singleton instance of a CatalogSqlManager denoted by the supplied class name. The method uses the design pattern that reduces contention and synchronization overhead.

  Parameters
    `managerClassName` - The name of the `CatalogSqlManager` implementation class.
  Throws
    `ClassCastException` - if the class denoted by the `managerClassName` is not an instance of a `CatalogSqlManager`.
    `ClassNotFoundException` - if the class denoted by the `managerClassName` could not be found.
    `InstantiationException` - if the instantiation of an instance of the class denoted by the `managerClassName` fails for some reason.
    `IllegalAccessException` - if the class or initializer denoted by the `managerClassName` is not accessible.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved